# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		_duplicate_files_terminate_build	0

%define		rel	2
%define		pname	igb
Summary:	Intel(R) PRO/1000 driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000
Name:		%{pname}%{_alt_kernel}
Version:	5.3.4.4
Release:	%{rel}@%{_kernel_ver_str}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://downloads.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	6c0d7dfdb161128da7c039fc83bbdba0
Patch0:		clocksource.patch
URL:		http://sourceforge.net/projects/e1000/
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpm-build-macros >= 1.701
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
adapters with 82575EB/GB or 82576 chipsets.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-igb\
Summary:	Intel(R) PRO/1000 driver for Linux\
Summary(pl.UTF-8):	Sterownik do karty Intel(R) PRO/1000\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-igb\
This package contains the Linux driver for the Intel(R) PRO/1000\
adapters with 82575EB/GB or 82576 chipsets.\
\
%description -n kernel%{_alt_kernel}-net-igb -l pl.UTF-8\
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych z rodziny\
Intel(R) PRO/1000 opartych o układy 82575EB/GB lub 82576.\
\
%files	-n kernel%{_alt_kernel}-net-igb\
%defattr(644,root,root,755)\
%doc README\
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/modprobe.d/%{_kernel_ver}/%{pname}.conf\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*\
%{_mandir}/man7/igb.7*\
\
%post	-n kernel%{_alt_kernel}-net-igb\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-igb\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%build_kernel_modules -C src -m %{pname}\
%install_kernel_modules -D installed -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current\
%{nil}

%define install_kernel_pkg()\
install -d $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}\
# blacklist kernel module\
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'\
blacklist igb\
alias igb igb-current\
EOF\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

cat > src/Makefile <<'EOF'
obj-m := igb.o
igb-objs := igb_main.o e1000_82575.o e1000_i210.o e1000_mac.o e1000_nvm.o e1000_phy.o \
	e1000_manage.o igb_param.o igb_ethtool.o kcompat.o e1000_api.o \
	e1000_mbx.o igb_vmdq.o igb_procfs.o igb_hwmon.o igb_ptp.o igb_debugfs.o

EXTRA_CFLAGS += -DIGB_PTP
EXTRA_CFLAGS += -DDRIVER_IGB
EXTRA_CFLAGS += -DDRIVER_NAME=igb
EXTRA_CFLAGS += -DDRIVER_NAME_CAPS=IGB
EOF

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man7

%{expand:%install_kernel_packages}
cp -a installed/* $RPM_BUILD_ROOT

cp -a igb.7 $RPM_BUILD_ROOT%{_mandir}/man7

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Wed Jan 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/igb.git;a=log;h=auto/th/igb-5.3.4.4-2

* Mon Apr 25 2016 Jan Rękorajski <baggins@pld-linux.org> 029c613
- rel 2

* Mon Apr 25 2016 Jan Rękorajski <baggins@pld-linux.org> 6aad016
- fix missing CLOCKSOURCE_MASK definition

* Mon Apr 25 2016 Jan Rękorajski <baggins@pld-linux.org> e826a0c
- up to 5.3.4.4

* Thu Oct 01 2015 Jan Rękorajski <baggins@pld-linux.org> 871f90d
- fix building on linux 4.1.9
- rel 2

* Sun Sep 27 2015 Jan Rękorajski <baggins@pld-linux.org> 49783d1
- removed obsolete patch

* Sun Sep 27 2015 Jan Rękorajski <baggins@pld-linux.org> 7aa8d90
- up to 5.3.3.2

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 54e6edc
- rel 2

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> b04d35f
- change kernel version for timespec64 fix

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 1ce96dd
- typo

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> f6d4ede
- timespec64 usage is kernel ver dependent and kcompat.h is not doing the trick

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 08b9df6
- typo

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 7d4abbb
- some more timespec fixes

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 584a7ba
-  removed two unneeded fixes

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> d1c0ba0
- fix incorrect timespec usage

* Mon Jun 29 2015 Jan Rękorajski <baggins@pld-linux.org> 0fafef2
- up to 4.3.2

* Mon Mar 30 2015 Jan Rękorajski <baggins@pld-linux.org> b630005
- up to 5.2.17

* Wed Jan 28 2015 Jan Rękorajski <baggins@pld-linux.org> 951e4ed
- rel 1

* Wed Jan 28 2015 Jan Rękorajski <baggins@pld-linux.org> 64985ec
- up to 5.2.15

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> a5730af
- rel 2

* Tue Jan 27 2015 Jan Rękorajski <baggins@pld-linux.org> 527dfcf
- updated kernel modules build system

